package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 人员基本信息对象 t_guiji_library_baseinfo
 *
 * @author lei
 * @date 2021-10-20
 */
public class TGuijiLibraryBaseinfo extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cdTime;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cdBatch;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cdOperation;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cdSource;

    /** 读者证号 */
    @Excel(name = "读者证号")
    private String cardno;

    /** 读者姓名 */
    @Excel(name = "读者姓名")
    private String name;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idcardno;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 出生日期 */
    @Excel(name = "出生日期")
    private String birthday;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 证件有效期 */
    @Excel(name = "证件有效期")
    private String enddate;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setCardno(String cardno)
    {
        this.cardno = cardno;
    }

    public String getCardno()
    {
        return cardno;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setIdcardno(String idcardno)
    {
        this.idcardno = idcardno;
    }

    public String getIdcardno()
    {
        return idcardno;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setBirthday(String birthday)
    {
        this.birthday = birthday;
    }

    public String getBirthday()
    {
        return birthday;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setEnddate(String enddate)
    {
        this.enddate = enddate;
    }

    public String getEnddate()
    {
        return enddate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("cardno", getCardno())
            .append("name", getName())
            .append("idcardno", getIdcardno())
            .append("sex", getSex())
            .append("birthday", getBirthday())
            .append("address", getAddress())
            .append("enddate", getEnddate())
            .toString();
    }
}
